
CREATE EVENT SESSION test0
  ON SERVER
  ADD EVENT sqlserver.checkpoint_begin,
  ADD EVENT sqlserver.checkpoint_end
  WITH (MAX_DISPATCH_LATENCY = 1 SECONDS)
  go

ALTER EVENT SESSION test0
  ON SERVER
  ADD TARGET package0.histogram
  (
        SET slots = 32, filtering_event_name = 'sqlserver.checkpoint_end', source_type = 0, source = 'database_id'
  )
go

ALTER EVENT SESSION test0
ON SERVER
ADD TARGET package0.etw_classic_sync_target
go

ALTER EVENT SESSION test0
ON SERVER
STATE = start
go

-- cause events to fire
USE tempdb
        checkpoint
  go
  USE master
        checkpoint
        checkpoint
  go
  
SELECT CAST(xest.target_data AS xml) Bucketizer_Target_Data_in_XML
  FROM sys.dm_xe_session_targets xest
  JOIN sys.dm_xe_sessions xes ON xes.address = xest.event_session_address
  JOIN sys.server_event_sessions ses ON xes.name = ses.name
  WHERE xest.target_name = 'histogram' AND xes.name = 'test0'
  go

!!logman query -ets --- List the ETW sessions. This is optional.
!!logman update XE_DEFAULT_ETW_SESSION -fd -ets --- Flush the ETW log.
!!tracerpt %temp%\xeetw.etl -o xeetw.txt --- Dump the events so they can be seen.

ALTER EVENT SESSION test0
ON SERVER
STATE = STOP
go
   
DROP EVENT SESSION test0
ON SERVER
go
  


